ComponentDefinitionException
Date: 2016-06-25

org.osgi.service.blueprint.container

## Class ComponentDefinitionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.service.blueprint.container.ComponentDefinitionException

- All Implemented Interfaces:
    java.io.Serializable

      public class ComponentDefinitionException
      extends java.lang.RuntimeException

  A Blueprint exception indicating that a component definition is in error. This exception is thrown when a configuration-related error occurs during creation of a Blueprint Container.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentDefinitionException()` Creates a Component Definition Exception with no message or exception cause.
    `ComponentDefinitionException(java.lang.String explanation)` Creates a Component Definition Exception with the specified message
    `ComponentDefinitionException(java.lang.String explanation, java.lang.Throwable cause)` Creates a Component Definition Exception with the specified message and exception cause.
    `ComponentDefinitionException(java.lang.Throwable cause)` Creates a Component Definition Exception with the exception cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentDefinitionException

          public ComponentDefinitionException()

      Creates a Component Definition Exception with no message or exception cause.

    - #### ComponentDefinitionException

          public ComponentDefinitionException(java.lang.String explanation)

      Creates a Component Definition Exception with the specified message
      Parameters:
        `explanation` - The associated message.

    - #### ComponentDefinitionException

          public ComponentDefinitionException(java.lang.String explanation,
                                      java.lang.Throwable cause)

      Creates a Component Definition Exception with the specified message and exception cause.
      Parameters:
        `explanation` - The associated message.
        `cause` - The cause of this exception.

    - #### ComponentDefinitionException

          public ComponentDefinitionException(java.lang.Throwable cause)

      Creates a Component Definition Exception with the exception cause.
      Parameters:
        `cause` - The cause of this exception.